Subject: Re: [PATCH] gitweb: Add "next" link to commitdiff view

From: Jakub Narebski <[email-masked]>
Date: Mon, 23 Oct 2006 01:41:54 +0200

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
>> Add a kind of "next" view in the bottom part of navigation bar for
>> "commitdiff" view.
>>
>> For commitdiff between two commits:
>>   (from: _commit_)
Perhaps we should use "(from: _commit_ to: _commit_)" here...

>> For commitdiff for one single parent commit:
>>   (parent: _commit_)
>> For commitdiff for one merge commit
>>   (merge: _commit_ _commit_ ...)
>> For commitdiff for root (parentless) commit
>>   (initial)
>> where _link_ denotes hyperlink. SHA1 is shortened to 7 characters on
>> display, everything is perhaps unnecessary esc_html on display.
>>
>> Signed-off-by: Jakub Narebski <[email-masked]>
> 
> Would it even be necessary to use any SHA-1 name in these cases,
> I wonder.  Would it make the page less useful if we replace all
> of the above _commit_ with a fixed string, say, "parent"?

I decided on using _shortened_ SHA1 because I didn't like neither 
"(parent parent ...) " nor "(parent1 parent2 ...)" for merges. Perhaps 
I should have used 8-characters abbreviation, like in git_blame2.
And I was inspired by git-show output for merges:

 commit ff49fae6a547e5c70117970e01c53b64d983cd10
 Merge: 7ad4ee7... 75f9007... 14eab2b... 0b35995... eee4609...

> I always hated gitweb diffs that prefix each filepair with their
> full 40-byte SHA-1 blob object names.  It just adds noise to the
> output without adding any meaningful information.

I always thought about this only as a (somewhat sophisticated) separator 
marking where individual patch (patch for given files) begin. And
a place to click (non-hidden link) for blob before and after. Please 
remember that this gitweb diff header was from the times where we 
didn't have difftree in commitdiff view.

-- 
Jakub Narebski
Poland